MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024778Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-03-31 13:542014-11-11 12:51
Reporterdln 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024778: Convertation of the generic classes to the non-generic. Part 9
DescriptionGeneric classes:
 
 "GccIter_Circ2d2TanOn",
 "GccIter_Circ2d3Tan",
 "GccIter_Lin2d2Tan",
 "GccIter_Lin2dTanObl"

from "GccIter" package were converted to the non-generic classes and moved to the "Geom2dGcc" package. Names of this classes were changed to:
 
 "Geom2dGcc_Circ2d2TanOnIter",
 "Geom2dGcc_Circ2d3TanIter",
 "Geom2dGcc_Lin2d2TanIter",
 "Geom2dGcc_Lin2dTanOblIter".

And their internal classes:

 "GccIter_FunctionTanCuCuOnCu",
 "GccIter_FunctionTanCuCuCu",
 "GccIter_FunctionTanCirCu",
 "GccIter_FunctionTanCuCu",
 "GccIter_FunctionTanCuPnt",
 "GccIter_FunctionTanObl"

also converted to the non-generic and moved to the "Geom2dGcc" package(their declarations were moved to "Geom2dGcc.cdl").

Enumerations: Type1, Type2 and Type3 were moved to "Geom2dGcc.cdl".

Package "GccIter" was deleted.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024487closedabv Getting rid of generic CDL classes 

-  Notes
(0028562)
dln (developer)
2014-03-31 13:56

Changes are ready for review in CR24778 branch.
(0028586)
abv (manager)
2014-04-01 13:42

No remarks, please test
(0028630)
mkv (tester)
2014-04-02 14:27

Dear BugMaster,

Branch CR24778 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: bddeedb4e085c63a15f84fb225e07f00d9243df4

Number of compiler warnings:

occt component :
Linux: 27 (27 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 392496700 / 392961804
Total CPU difference: 48882.4400000001 / 57189.309999999896

Testing on Windows:
Total MEMORY difference: 423069460 / 414274688
Total CPU difference: 32733.90625 / 42798.984375

There are no differences in images found by testdiff.

- Related Changesets
occt: master 54e37688
Timestamp: 2014-03-28 07:28:22
Author: dln
Committer: apn
Details ] Diff ]
0024778: Convertation of the generic classes to the non-generic. Part 9

Generic classes:

 "GccIter_Circ2d2TanOn",
 "GccIter_Circ2d3Tan",
 "GccIter_Lin2d2Tan",
 "GccIter_Lin2dTanObl"

from "GccIter" package were converted to the non-generic classes and moved to the "Geom2dGcc" package. Names of this classes were changed to:

 "Geom2dGcc_Circ2d2TanOnIter",
 "Geom2dGcc_Circ2d3TanIter",
 "Geom2dGcc_Lin2d2TanIter",
 "Geom2dGcc_Lin2dTanOblIter".

And their internal classes:

 "GccIter_FunctionTanCuCuOnCu",
 "GccIter_FunctionTanCuCuCu",
 "GccIter_FunctionTanCirCu",
 "GccIter_FunctionTanCuCu",
 "GccIter_FunctionTanCuPnt",
 "GccIter_FunctionTanObl"

also converted to the non-generic and moved to the "Geom2dGcc" package(their declarations were moved to "Geom2dGcc.cdl").

Enumerations" Type1, Type2 and Type3 were moved to "Geom2dGcc.cdl".

Package "GccIter" was deleted.
mod - adm/UDLIST Diff ] File ]
rm - src/GccIter/GccIter.cdl Diff ] File ]
rm - src/GccIter/GccIter_Circ2d2TanOn.gxx Diff ] File ]
rm - src/GccIter/GccIter_Circ2d3Tan.gxx Diff ] File ]
rm - src/GccIter/GccIter_FunctionTanCirCu.gxx Diff ] File ]
rm - src/GccIter/GccIter_FunctionTanCuCu.gxx Diff ] File ]
rm - src/GccIter/GccIter_FunctionTanCuPnt.gxx Diff ] File ]
rm - src/GccIter/GccIter_FunctionTanObl.gxx Diff ] File ]
rm - src/GccIter/GccIter_Lin2d2Tan.gxx Diff ] File ]
rm - src/GccIter/GccIter_Lin2dTanObl.gxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc.cdl Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOn.cdl Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOn.cxx Diff ] File ]
add - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOnIter.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d3Tan.cdl Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d3Tan.cxx Diff ] File ]
add - src/Geom2dGcc/Geom2dGcc_Circ2d3TanIter.cxx Diff ] File ]
add - src/Geom2dGcc/Geom2dGcc_FunctionTanCirCu.cxx Diff ] File ]
add - src/Geom2dGcc/Geom2dGcc_FunctionTanCuCu.cxx Diff ] File ]
add - src/Geom2dGcc/Geom2dGcc_FunctionTanCuPnt.cxx Diff ] File ]
add - src/Geom2dGcc/Geom2dGcc_FunctionTanObl.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Lin2d2Tan.cdl Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Lin2d2Tan.cxx Diff ] File ]
add - src/Geom2dGcc/Geom2dGcc_Lin2d2TanIter.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Lin2dTanObl.cdl Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Lin2dTanObl.cxx Diff ] File ]
add - src/Geom2dGcc/Geom2dGcc_Lin2dTanOblIter.cxx Diff ] File ]
mod - src/QABugs/QABugs_17.cxx Diff ] File ]
mod - src/TKGeomAlgo/PACKAGES Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-31 13:54 dln New Issue
2014-03-31 13:54 dln Assigned To => abv
2014-03-31 13:56 dln Note Added: 0028562
2014-03-31 13:56 dln Status new => resolved
2014-03-31 13:56 dln Description Updated View Revisions
2014-04-01 13:42 abv Note Added: 0028586
2014-04-01 13:42 abv Status resolved => reviewed
2014-04-01 13:44 abv Assigned To abv => bugmaster
2014-04-01 19:28 mkv Assigned To bugmaster => mkv
2014-04-02 14:27 mkv Note Added: 0028630
2014-04-02 14:27 mkv Test case number => Not needed
2014-04-02 14:27 mkv Assigned To mkv => bugmaster
2014-04-02 14:27 mkv Status reviewed => tested
2014-04-04 14:00 abv Target Version 6.7.1 => 6.8.0
2014-04-04 17:03 apn Changeset attached => occt master 54e37688
2014-04-04 17:03 apn Assigned To bugmaster => apn
2014-04-04 17:03 apn Status tested => verified
2014-04-04 17:03 apn Resolution open => fixed
2014-04-10 14:46 kgv Relationship added child of 0024487
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker